Package org.eclipse.birt.core.script

# Class ScriptEngineFactoryManager

java.lang.Object
org.eclipse.birt.core.script.ScriptEngineFactoryManager

public abstract class ScriptEngineFactoryManager extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static Logger`
`logger`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ScriptEngineFactoryManager()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract IScriptEngineFactory`
`createFactory(String language)`
`static ScriptEngineFactoryManager`
`getInstance()`
`IScriptEngineFactory`
`getScriptEngineFactory(String language)`
`static void`
`setInstance(ScriptEngineFactoryManager manager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected static Logger logger

## Constructor Details

### ScriptEngineFactoryManager

protected ScriptEngineFactoryManager()

## Method Details

### setInstance

public static void setInstance(ScriptEngineFactoryManager manager)

### getInstance

public static ScriptEngineFactoryManager getInstance()

### getScriptEngineFactory

public IScriptEngineFactory getScriptEngineFactory(String language)

### createFactory

protected abstract IScriptEngineFactory createFactory(String language)